Patches for aports can be sent to this list

2 2

[alpine-aports] [PATCH] testing/opam: new aport

Muh Muhten
Details
Message ID
<1441422418-36223-1-git-send-email-muh.muhten@gmail.com>
Sender timestamp
1441422418
DKIM signature
missing
Download raw message
Patch: +47 -0
---
 testing/opam/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)
 create mode 100644 testing/opam/APKBUILD

diff --git a/testing/opam/APKBUILD b/testing/opam/APKBUILD
new file mode 100644
index 0000000..dea25bc
--- /dev/null
+++ b/testing/opam/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Michael Zuo <muh.muhten@gmail.com>
+# Maintainer: Michael Zuo <muh.muhten@gmail.com>
+pkgname=opam
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="OCaml Package Manager"
+url="http://opam.ocaml.org"
+arch="all"
+license="LGPL3"
+makedepends="ocaml"
+install=""
+subpackages=""
+source="https://github.com/ocaml/$pkgname/releases/download/$pkgver/$pkgname-full-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-full-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make -j1 lib-ext all || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7d348c2898795e9f325fb80eaaf5eae8  opam-full-1.2.2.tar.gz"
+sha256sums="15e617179251041f4bf3910257bbb8398db987d863dd3cfc288bdd958de58f00  opam-full-1.2.2.tar.gz"
+sha512sums="f095ef4c02e6a411ee115b508c7dc21cf6480f60ad5d84ed5ce5868afa1f6225ead0eb6703763d803edc22595e83db67cdd1a4ecab50ee2c62c20965b0542436  opam-full-1.2.2.tar.gz"
-- 
2.3.2 (Apple Git-55)



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Muh Muhten
Details
Message ID
<55EB2730.6050406@gmail.com>
In-Reply-To
<20150905144040.1be60021@ncopa-laptop> (view parent)
Sender timestamp
1441474352
DKIM signature
missing
Download raw message
There were two steps from the scaffold that I removed because they were 
no-ops. It's not a consequential change so I'll probably just roll it 
into any future patch I send.

On 9/5/15 8:40 AM, Natanael Copa wrote:
> On Fri,  4 Sep 2015 23:06:58 -0400
> Muh Muhten <muh.muhten@gmail.com> wrote:
>
>> ---
>>   testing/opam/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
>>   1 file changed, 47 insertions(+)
>>   create mode 100644 testing/opam/APKBUILD
>
> I applied the previous you sent. If there are changes then please send
> a new rebased patch.
>
> Thanks!
>
> -nc
>


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20150905144040.1be60021@ncopa-laptop>
In-Reply-To
<1441422418-36223-1-git-send-email-muh.muhten@gmail.com> (view parent)
Sender timestamp
1441456840
DKIM signature
missing
Download raw message
On Fri,  4 Sep 2015 23:06:58 -0400
Muh Muhten <muh.muhten@gmail.com> wrote:

> ---
>  testing/opam/APKBUILD | 47 +++++++++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 47 insertions(+)
>  create mode 100644 testing/opam/APKBUILD

I applied the previous you sent. If there are changes then please send
a new rebased patch.

Thanks!

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---